Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.transport.jms
Class JMSConnectorFactory

    java.lang.Object
      |
      +--org.apache.axis.transport.jms.JMSConnectorFactory

public class JMSConnectorFactory
extends java.lang.Object

JMSConnectorFactory is a factory class for creating JMSConnectors. It can create both client connectors and server connectors. A server connector is configured to allow asynchronous message receipt, while a client connector is not.

Author:
  Jaime Meritt (jmeritt@sonicsoftware.com), Richard Chung (rchung@sonicsoftware.com), Dave Chappell (chappell@sonicsoftware.com)

Constructor Summary
`JMSConnectorFactory()`

Method Summary
`static JMSConnector` | `createClientConnector(java.util.HashMap connectorConfig, java.util.HashMap cfConfig, java.lang.String username, java.lang.String password)` Static method to create a client connector.
`static JMSConnector` | `createServerConnector(java.util.HashMap connectorConfig, java.util.HashMap cfConfig, java.lang.String username, java.lang.String password)` Static method to create a server connector.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JMSConnectorFactory

    public JMSConnectorFactory()

Method Detail

### createServerConnector

    public static JMSConnector createServerConnector(java.util.HashMap connectorConfig,
                                                     java.util.HashMap cfConfig,
                                                     java.lang.String username,
                                                     java.lang.String password)
                                              throws java.lang.Exception

  Static method to create a server connector. Server connectors can accept incoming requests.
  Parameters:
    `connectorConfig` -
    `cfConfig` -
    `username` -
    `password` -
  Returns:
  Throws:
    `java.lang.Exception` -

### createClientConnector

    public static JMSConnector createClientConnector(java.util.HashMap connectorConfig,
                                                     java.util.HashMap cfConfig,
                                                     java.lang.String username,
                                                     java.lang.String password)
                                              throws java.lang.Exception

  Static method to create a client connector. Client connectors cannot accept incoming requests.
  Parameters:
    `connectorConfig` -
    `cfConfig` -
    `username` -
    `password` -
  Returns:
  Throws:
    `java.lang.Exception` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.